Getting Started with the Kendo UI for Angular ScrollView

Updated on Sep 15, 2026

This guide provides the information you need to start using the Kendo UI for Angular ScrollView—it includes instructions about the recommended installation approach, the code for running the project, and links to additional resources.

As of version 17.0.0, Angular makes standalone component enabled by default. If you use NgModules, refer to these articles:

The standalone components in Angular streamline development by removing the need for NgModules, reducing complexity, and enhancing component reuse and modularity. This approach simplifies dependency management, making applications more maintainable and scalable.

ninja-iconThe Installation is part of Kendo UI for Angular, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.Start Free Trial

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Loading ...

Before You Begin

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Component

The following command demonstrates an efficient, automated method for adding packages using the Angular CLI through the ng-add command. This approach saves time and effort by executing a series of commands in a single step, which otherwise need to be run individually. Refer to the Manual Setup for more details.

To add the Kendo UI for Angular ScrollView package:

  1. Run the following command:

    sh
    ng add @progress/kendo-angular-scrollview

    As a result, the ng-add command will perform the following actions:

    • Add the @progress/kendo-angular-scrollview package as a dependency to the package.json file.
    • Add all required peer dependencies to the package.json file.
    • Register the Kendo UI Meridian theme in the angular.json file.
    • Trigger npm install to install the theme and all peer packages that are added.
  2. Import the KENDO_SCROLLVIEW utility array in your standalone component to enable the entire feature set of the ScrollView:

    The utility array is available starting from v16.6.0. If you use an older version of the package, please follow the approach from the Using Kendo Angular Components with NgModules article.

    ts
    import { Component } from '@angular/core';
    import { KENDO_SCROLLVIEW } from '@progress/kendo-angular-scrollview';
    
    @Component({
        standalone: true,
        selector: 'my-app',
        imports: [KENDO_SCROLLVIEW]
    })

Using the Component

  1. After successfully installing the ScrollView package and importing its component, add the following code in the app.component.html file:

    html
    <kendo-scrollview
        [data]="items"
        width="356px"
        height="238px"
        [arrows]="true"
        >
        <ng-template let-item="item">
            <img width="100%" src='{{item.url}}'/>
        </ng-template>
    </kendo-scrollview>
  2. Bind the data property to array of objects by adding the following code in the app.component.ts file:

    ts
    public items: Array<{ url: string }> = [
      {
        url: 'https://demos.telerik.com/kendo-angular-ui/assets/layout/card/kukeri.jpg',
      },
      {
        url: 'https://demos.telerik.com/kendo-angular-ui/assets/layout/card/martenitsa.jpg',
      },
      {
        url: 'https://demos.telerik.com/kendo-angular-ui/assets/layout/card/rose_festival.jpg',
      },
    ];
  3. Build and serve the application by running the following command in the root folder.

    sh
    ng serve
  4. Point your browser to http://localhost:4200 to see the Kendo UI for Angular ScrollView component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Learning Resources

New to KendoReactStart a free 30-day trial

Getting Started with the KendoReact ScrollView
Premium

Updated on Sep 2, 2026

This guide provides the information you need to start using the KendoReact ScrollView — it includes instructions about the available installation approaches, the required dependencies, the code for running the project, and links to additional resources.

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Loading ...

Before You Begin

To follow the steps in this guide, you need to have a React project set up. If you don't have one, you can create a new React application using Vite by running the following command in your terminal:

sh
npm create vite@latest my-app -- --template react

This guide requires that you have basic knowledge of React and TypeScript, and that you have already created a blank React project.

You can speed up the development of your KendoReact application with the Kendo UI Template Wizard for Visual Studio Code.

Install the Component

To install the ScrollView package, run the following command in the root folder of your React project:

sh
npm i @progress/kendo-react-scrollview

Importing the Component

After installing the package, import the ScrollView component in the React App. In the src/App.js file of your React project, import the ScrollView component from the ScrollView package.

jsx
// ES2015 module syntax
import { ScrollView } from "@progress/kendo-react-scrollview";
jsx
// CommonJS format
const { ScrollView } = require('@progress/kendo-react-scrollview');

Using the Component

  1. Map the array of objects by adding the following code in the src/App.js file.
jsx
const items = [
    { position: 1, url: 'https://demos.telerik.com/kendo-ui/content/shared/images/photos/1.jpg' },
    { position: 2, url: 'https://demos.telerik.com/kendo-ui/content/shared/images/photos/2.jpg' },
    { position: 3, url: 'https://demos.telerik.com/kendo-ui/content/shared/images/photos/3.jpg' },
    { position: 4, url: 'https://demos.telerik.com/kendo-ui/content/shared/images/photos/4.jpg' }
];
  1. Add the component's markup to the src/App.js file in your project.
jsx
import 'style.css';

const App = () => {
    return (
        <div>
            <ScrollView style={{ width: 512, height: 384 }}>
                {items.map((item, index) => {
                    return (
                        <div className="image-with-text" key={index}>
                            <p>
                                Showing image {item.position} of {items.length}.
                            </p>
                            <img
                                src={item.url}
                                alt={'KendoReact ScrollView Photo'}
                                style={{ width: 512, height: 384 }}
                                draggable={false}
                            />
                        </div>
                    );
                })}
            </ScrollView>
        </div>
    );
};
export default App;
  1. Add the component's styles to the src/style.css file in your project.
scss
/* center the ScrollView horizontally */
/* k-scrollview is the default component class */
.k-scrollview {
    margin: 0 auto;
}
/* enable absolute positioning inside the ScrollView template */
.image-with-text {
    position: relative;
}

/* style the overlay text inside the ScrollView */
.image-with-text > p {
    position: absolute;
    top: 1rem;
    left: 1.6rem;
    color: rgba(255, 255, 255, 0.8);
    margin: 0;
    font-style: italic;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.8);
}
  1. To style the ScrollView, install and import the Meridian theme, which is one of the five beautiful themes for KendoReact.

    2.1. Install the Meridian theme package.

    sh
    npm install --save @progress/kendo-theme-meridian

    2.2. Import the CSS file from the package in src/App.js. Add this import before your existing App.css import.

    jsx
    import '@progress/kendo-theme-meridian/dist/all.css';
  2. Build and run the application by typing the following command in the root folder of your project:

    sh
    npm start
  3. Navigate to http://localhost:3000 to see the KendoReact ScrollView component on the page.

Activating Your License Key

Important: The KendoReact ScrollView is a premium component that requires a license key file to be installed in your project. This applies to both trial and commercial usage:

Without a valid license key file, the component will display licensing warnings and watermarks.

Follow the instructions on the KendoReact My License page to download and install your license key file. You can skip this step if your application already contains a KendoReact license file.

Dependencies

The ScrollView package requires you to install the following peer dependencies in your application:

Package NameDescription
react 18.0.0*Contains the functionality necessary to define React components.
react-domContains the React renderer for the web.
@progress/kendo-licensingContains the internal infrastructure related to licensing.
@progress/kendo-react-intlContains the KendoReact Internationalization package that applies the desired cultures by providing services and pipes for the parsing and formatting of dates and numbers.
@progress/kendo-svg-iconsContains the KendoReact SVG icons.

Learning Resources